package com.bootdo.datas.service;

import com.bootdo.datas.domain.DataPartDO;

import java.util.List;
import java.util.Map;

/**
 * 分类分级
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-02-27 23:33:17
 */
public interface DataPartService {
	
	DataPartDO get(Long partId);
	
	List<DataPartDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int save(DataPartDO dataPart);
	
	int update(DataPartDO dataPart);
	
	int remove(Long partId);
	
	int batchRemove(Long[] partIds);
}
